Name:           ember
Version:        0.5.4
Release:        2%{?dist}
Summary:        Ember - a client for Worldforge

Group:          Amusements/Games
License:        GPLv3+
URL:            http://www.worldforge.org/dev/eng/clients/ember
Source0:        http://downloads.sourceforge.net/worldforge/%{name}-%{version}.tar.bz2
Patch0:         ember-0.5.4-gcc43.patch
Patch1:         ember-0.5.4-ogre16.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel tinyxml-devel DevIL-devel cegui-devel ogre-devel
BuildRequires:  lua-devel tolua++-devel openal-devel freealut-devel
BuildRequires:  atlascpp-devel eris-devel mercator-devel varconf-devel wfmath-devel libwfut-devel
BuildRequires:  desktop-file-utils
# For rebuilding autotools-generated files (ogre16 patch)
BuildRequires:  autoconf automake libtool

Requires:       %{name}-media = %{version}

%description
Ember is a client for MMORPGs using the WorldForge system.
It uses the Ogre 3D engine with CEGUI.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Rebuilding autotools-generated files
autoreconf -v -f -i

# Encoding fix
iconv -f iso-8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS


%build
%configure --disable-static --disable-freeimage-check
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="fedora" \
    --remove-category="Application" --add-category="RolePlaying" \
    --delete-original --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mv $RPM_BUILD_ROOT%{_datadir}/icons/worldforge/ember.png \
    $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# Remove media that are duplicated with ember-media package
rm -rf $RPM_BUILD_ROOT%{_datadir}/ember/media/user # modeldefinitions


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}.bin
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/ember.png
# datadir/%{name} is owned by ember-media
%{_datadir}/%{name}/carpenter
%{_datadir}/%{name}/jesus
# datadir/%{name}/media is owned by ember-media
# datadir/%{name}/media/shared is owned by ember-media
# datadir/%{name}/media/shared/gui is owned by ember-media
%{_datadir}/%{name}/media/shared/gui/*.xsd
# datadir/%{name}/media/shared/gui/cegui is owned by ember-media
%{_datadir}/%{name}/media/shared/gui/cegui/datafiles
%{_datadir}/%{name}/media/shared/scripting

# Not using noreplace: having old config file can make things not working as was intended. User can override settings with config in homedir.
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/*



%changelog
* Thu Oct 02 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-2
- Update for new OGRE

* Tue Sep 09 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-1
- Update to 0.5.4.

* Tue Jul 08 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.3-1
- Update to 0.5.3.

* Fri Jun 20 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.2-1
- Inital spec for Fedora.
